# CommonExposedRepo

interface CommonExposedRepo < IdType , ObjectType > : ExposedRepo (source)

#### Inheritors

ExposedCRUDRepo
AbstractExposedReadKeyValueRepo
AbstractExposedReadKeyValuesRepo

## Properties

asId
Link copied to clipboard
abstract val ERROR CLASS: Symbol not found for ResultRow. asId : IdType
asObject
Link copied to clipboard
abstract val ERROR CLASS: Symbol not found for ResultRow. asObject : ObjectType
database
Link copied to clipboard
abstract val database : ERROR CLASS: Symbol not found for Database
selectAll
Link copied to clipboard
open val selectAll : ERROR CLASS: Symbol not found for Transaction.() -> ERROR CLASS: Symbol not found for Query
selectById
Link copied to clipboard
abstract val selectById : ( IdType ) -> ERROR CLASS: Symbol not found for Op<kotlin/Boolean>
selectByIds
Link copied to clipboard
open val selectByIds : ( List < IdType >) -> ERROR CLASS: Symbol not found for Op<kotlin/Boolean>